#pragma once


class AbstractStatisticsObserver
{
public:
	virtual void updateStep() = 0;
	virtual void reset() = 0;
	virtual void updateSimulation() = 0;
	virtual void updateMultipleSimulations() = 0;
};